{% set PageTitle = "Verify Phone Number - verified" %}

{% extends "opvmaster.html" %}
{% block styles %}
{% endblock %}
{% block main %}

<div class="opv-main" id="opv-master">
  <div class="opv-master theme-cool-grey">
    <div class="opv-master__container container">
      <div class="opv-master__main">
        <div class="opv-master__left-content">
          <div id="opv-left-nav"></div>

        </div>
        <div class="opv-master__right-content">
          <div id="opv-right-nav"></div>
        </div>
      </div>
    </div>
  </div>
</div>


{% endblock %}
{% block scripts %}

<script>

  ReactDOM.render(React.createElement(Components.OpvVerifyPhoneNumber,{
    checkmark: `<div class="success-checkmark">Verified</div>`
  }), document.getElementById("opv-left-nav"));

  ReactDOM.render(React.createElement(Components.Form, {
    endpoint: '#',
    heading: `Verify your phone number`,
    intro: `<p>Which phone number would you like to use to receive SMS security codes?</p>`,
    id: 'phone-form-verified',
    submit: 'Next',
    isOpvForm: true,  
    groups: [
      {
        id: 'country-code',
        fields: [
          {
            id : 'countryCode',
            type : 'select',
            label : 'Country code',
            isOpvField: true,
            options : [{
                label:'United Kingdom(+44)',
                value:'United Kingdom(+44)',
                selected:false,
              }, {
                label:'United Kingdom(+91)',
                value:'United Kingdom(+91)',
                selected:false,
              }],
            customError : 'Please select the country code',
          },
          {
            id:"mobNumber",
            type:"number",
            placeholder:"07722122147",
            size:"md",            
            isOpvField: true,
            label:"Mobile phone number",
            customError:"Please enter a valid Mobile number",
            data:{
                numeric: true,
                minlength: 0,
                maxlength: 7
            }
          },  
        ]
      },
      {
        id: 'group2',
        subheading :'Enter your verification code below, or <a href="#">send a new code.</a>',
        fields: [
          {
            type:"number",
            placeholder:"7842",
            size:"md",
            id:"smsNumber",
            isOpvField:true,
            label:"SMS verification code",
            customError:"Please enter a valid code",
            data:{
                numeric: true,
                minlength: 0,
                // maxlength: 7
            }
          },
        ]
      }
    ]
  }), document.getElementById("verify-phone-verified"));

  ReactDOM.render(React.createElement(Components.OpvRightNav, {
    title: `Need some help?`,
    content: `If you need some help logging on or have a query call one of our friendly agents on <strong>0800 XXX XXX</strong>`,
    cta: `<img src="../../dist/images/icon/icon-faq.svg" />`,
    faqTxt: `FAQ`,
    theme: {
      themeName: 'cool-grey'
    },

    faqContent: `<h6>FAQ’s</h6>
            <p class="faq-subhead"><b>Registration</b></p>

            <p class="faq-copy"><b>Q.</b>How do I know if I have a Self Invested Personal Penson?</p>
            <p class="faq-copy ans"><b>A.</b></p>
            
            <p class="faq-copy"><b>Q.</b>What is a one-time access code and why do I need it?</p>
            <p class="faq-copy ans"><b>A.</b></p>

            <p class="faq-copy"><b>Q.</b>What is two-step verification and why do I need it?</p>
            <p class="faq-copy ans"><b>A.</b></p>

            <p class="faq-copy"><b>Q.</b> I don’t have a mobile phone number, can I still register?</p>
            <p class="faq-copy ans"><b>A.</b></p>

            <p class="faq-copy"><b>Q.</b> I no longer live in the UK, can I still register?</p>
            <p class="faq-copy ans"><b>A.</b></p>

            <p class="paraHeading"><b>Logged in</b></p>

            <p class="faq-copy"><b>Q.</b> What is a SIPP Bank Account?</p>
            <p class="faq-copy ans"><b>A.</b></p>
            <p class="faq-copy"><b>Q.</b> Why are the valuation dates of my funds different?</p>
            <p class="faq-copy ans"><b>A.</b></p>`
  }), document.getElementById('opv-right-nav'));

</script>

{% endblock %}